Pembayaran akaun
GET https://tistos.com/api/payments/
curl --request GET \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Parameter | Butiran | Perihalan |
|---|---|---|
| processor | Pilihan String | Nilai yang dibenarkan: paypal, stripe, offline_payment, payu, iyzico, paystack, razorpay, mollie, yookassa, crypto_com, paddle, paddle_billing, mercadopago, midtrans, flutterwave, lemonsqueezy, myfatoorah, klarna, plisio, revolut |
| status | Pilihan String | Nilai yang dibenarkan: paid, pending, cancelled, refunded |
| type | Pilihan String | Nilai yang dibenarkan: one_time, recurring |
| frequency | Pilihan String | Nilai yang dibenarkan: monthly, quarterly, biannual, annual, lifetime |
| datetime_field | Pilihan String | Nilai yang dibenarkan: datetime |
| datetime_start | Pilihan String | Tapis hasil bermula dari tarikh dan masa ini. Format Y-m-d H:i:s. |
| datetime_end | Pilihan String | Tapis hasil sehingga tarikh dan masa ini. Format Y-m-d H:i:s. |
| order_by | Pilihan String | Bidang apa yang perlu diatur untuk hasil. Nilai yang dibenarkan adalah: id, datetime, total_amount. |
| order_type | Pilihan String | Pengurutan hasil. Nilai yang dibenarkan adalah: ASC untuk pengurutan menaik, dan DESC untuk pengurutan menurun. |
| page | Pilihan Integer | Nombor halaman yang anda ingin hasilkan. Secara lalai kepada 1. |
| results_per_page | Pilihan Integer | Berapa banyak hasil yang anda mahu setiap halaman. Nilai yang dibenarkan adalah: 10, 25, 50, 100, 250, 500, 1000. Secara lalai kepada 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-07-18 17:10:36",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/payments?page=1",
"last": "https://tistos.com/api/payments?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/payments?page=1"
}
}
GET https://tistos.com/api/payments/{payment_id}
curl --request GET \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "[email protected]",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": "2026-07-18 17:10:36",
}
}